FairMQProgOptions Class Reference
Inheritance diagram for FairMQProgOptions:
[legend]
Collaboration diagram for FairMQProgOptions:
[legend]

## Classes

struct | MQKey

## Public Member Functions

int | ParseAll (const std::vector< std::string > &cmdLineArgs, bool allowUnregistered)
int | ParseAll (const int argc, char const *const *argv, bool allowUnregistered=false) override
FairMQMap | GetFairMQMap () const
std::unordered_map< std::string, int > | GetChannelInfo () const
template<typename T >
int | UpdateValue (const std::string &key, T val)
template<typename T >
int | SetValue (const std::string &key, T val)
template<typename T >
void | Subscribe (const std::string &subscriber, std::function< void(typename fair::mq::PropertyChange::KeyType, T)> func)
template<typename T >
void | Unsubscribe (const std::string &subscriber)
void | SubscribeAsString (const std::string &subscriber, std::function< void(typename fair::mq::PropertyChange::KeyType, std::string)> func)
void | UnsubscribeAsString (const std::string &subscriber)
int | UpdateChannelMap (const FairMQMap &map)
Public Member Functions inherited from FairProgOptions
auto | GetPropertyKeys () const -> std::vector< std::string >
int | AddToCmdLineOptions (const po::options_description optDesc, bool visible=true)
| Add option descriptions.
po::options_description & | GetCmdLineOptions ()
template<typename T >
T | GetValue (const std::string &key) const
std::string | GetStringValue (const std::string &key)
int | Count (const std::string &key) const
template<typename T >
T | ConvertTo (const std::string &strValue)
const po::variables_map & | GetVarMap () const
int | ParseCmdLine (const int argc, char const *const *argv, bool allowUnregistered=false)
void | ParseDefaults ()
virtual int | PrintOptions ()
virtual int | PrintOptionsRaw ()

## Protected Types

using | FairMQMap = std::unordered_map< std::string, std::vector< FairMQChannel > >

## Protected Member Functions

int | ImmediateOptions () override
void | InitOptionDescription ()
void | UpdateMQValues ()
int | Store (const FairMQMap &channels)
Protected Member Functions inherited from FairProgOptions
template<typename T >
void | UpdateVarMap (const std::string &key, const T &val)
template<typename T >
void | Replace (std::map< std::string, po::variable_value > &vm, const std::string &key, const T &val)

## Protected Attributes

po::options_description | fMQCmdOptions
po::options_description | fMQParserOptions
FairMQMap | fFairMQMap
std::unordered_map< std::string, int > | fChannelInfo
std::map< std::string, MQKey > | fMQKeyMap
Protected Attributes inherited from FairProgOptions
po::variables_map | fVarMap
po::options_description | fGeneralOptions
po::options_description | fAllOptions
std::mutex | fConfigMutex

The documentation for this class was generated from the following files:

- fairmq/options/FairMQProgOptions.h
- fairmq/options/FairMQProgOptions.cxx